/** @type {import('tailwindcss').Config} */
module.exports = {
  mode: "all",
  content: [
      // include all rust, html and css files in the src directory
      "./src/**/*.{rs,html,css}",
  ],
  theme: {
      extend: {},
  },
  plugins: [
      require('daisyui'),
  ],
  daisyui: {
      darkTheme: "wrb_dark",
      themes: [
          {
              wrb: {
                  "primary": "#eb6330",
                  "secondary": "#2d518f",
                  "accent": "#37cdbe",
                  "neutral": "#3d4451",
                  "base-100": "#f8f7ff",
              },
          },
          {
              wrb_dark: {
                  "primary": "#eb6330",
                  "secondary": "#2d518f",
                  "accent": "#37cdbe",
                  "neutral": "#3d4451",
                  "base-100": "#15181f",
              },
              
          },
      ],
  },
};
